SpreadJS 示例
参考文档
API 文档
更多
立即试用
SpreadJS 示例
SpreadJS 示例
功能例子
导出PDF
基本应用
主页
快速开始
实例集合
商业仪表
财务关键业绩指标表
应收账款帐龄分析表
收入损益表
费用预算
1040 纳税单
成绩单仪表
菜谱
营业损益预测
决策分析模板
飞机座位表
形状操作流程图
发票单据
年度财务报告
零售指标
功能例子
工作簿
初始化Spread
Spread表单
表单名称标签
滚动条
Spread背景
Spread绘制
Spread事件
Spread JSON 导入/导出
数据源序列化
自定义特性序列化
命中测试
像素滚动
拆分调整大小
表单
初始化表单
边框和网格线
可见性
缩放
表单单元格头区域
行与列
动态调整大小
单元格
合并单元格
冻结行列与可视区域
获取与设置数据
公式
选择单元格
表单行为
通过行为改变值
自定义行为
表单保护
表单事件
表单绘制
分组列
样式
基本应用
字体
单元格内边距和标签
单元格按钮
单元格下拉菜单
列表
时间选择器
月份选择器
日期时间选择器
滑动条
计算器
颜色选择器
工作流列表
文字方向
公式函数
基本函数
INDIRECT 函数
函数使用通配符
自定义函数
异步函数
数组公式介绍
数组公式用例
语言资源
AGGREGATE 函数
动态数组
简介
FILTER 函数
RANDARRAY 函数
SEQUENCE 函数
SORT 函数
SORTBY 函数
UNIQUE 函数
隐式交集运算符 @
数据绑定
表单级别绑定
单元格级别绑定
表格绑定
单元格编辑
单元格导航行为
脏数据
复制粘贴Excel样式
扩展粘贴区域
复制粘贴增强
单引号前缀
自动合并
列方向自动合并
区域自动合并
标题区域自动合并
单元格格式
基本应用
自定义格式
账单格式
单元格类型
基本应用
按钮单元格
复选框单元格
普通组合框单元格
超链接单元格
单选列表
复选框列表
按钮列表
自定义单元格
自定义行列头单元格
区域模板类型
单元格状态
单元格状态介绍
自定义单元格状态
形状
基本应用
基础形状
线条
形状组合
自定义形状
形状与公式
图表
基本应用
自定制
坐标轴
图例
图表区
鼠标悬停
趋势线
误差线
柱形图
折线图
饼形图
面积图
条形图
散点图
股票图
组合图
雷达图
旭日图
树状图
表格
基本应用
自定义表格
表格操作
数据绑定
表格行为
自动扩展
上下文菜单
表头滚动增强
调整表格区域
数据验证与条件格式
选择表格
TAB 键
汇总行
表格样式
条件格式
基本应用
条件规则
数据验证
基本应用
自定义数据验证
填充
基本应用
自定义填充
筛选
基本应用
筛选框及筛选按钮
筛选行为
自定义筛选
区域分组
基本应用
自定制
样式
批注
基本应用
设置
行为
事件
迷你图
基本应用
自定制迷你图
迷你图配置
组成瀑布函数迷你图
箱线函数迷你图
子弹函数迷你图
横向条状/竖向柱状函数迷你图
阶梯瀑布函数迷你图
饼形函数迷你图
面积函数迷你图
散点函数迷你图
散布函数迷你图
堆积函数迷你图
方差函数迷你图
兼容Excel函数迷你图
自定制函数迷你图
月份迷你图
年份迷你图
富文本
基本应用
条形码
基础应用
QR 二维码
Data Matrix 二维码
PDF417 二维码
EAN13 条形码
EAN8 条形码
Codabar 条形码
CODE39 条形码
CODE93 条形码
CODE128 条形码
GS1-128 条形码
CODE49 二维码
状态栏
基础应用
自定义状态栏
查询
基本应用
浮动元素
基本应用
自定制浮动对象元素
图片
浮动元素固定位置
浮动对象元素行为
浮动对象元素事件
命名信息
基本应用
切片器
基本应用
切片器设置
通用切片器数据
表格切片器数据
项目切片器
图表切片器用例
树形切片器用例
聚合切片器
学生信息切片器用例
亚马逊切片器用例
公式编辑器
基本应用
区域选择器
标签
基本应用
标签支持行为
搜索标签
前端导入导出Excel
前端导入导出
导出PDF
基本应用
自定义导出PDF
自定义字体
打印
基本应用
自定制打印
上下文菜单
基本应用
自定义上下文菜单
继承上下文菜单
触摸
基本应用
触摸工具栏
主题
文档主题
主题
Spread 主题
文化
本地化
自定义本地化
全球化
基本应用
主题:
Default
Excel 2013darkGray
Excel 2013lightGray
Excel 2013white
Excel 2016colorful
Excel 2016darkGray
Excel 2016black
SpreadJS 支持导出成PDF文件.
Export Pdf
是一个新的任务插件, 它需要结合打印插件使用。你可以包含它来和Spread.sheet一起来完成你的需求。
<p>为了使用导出pdf特性,将js文件链接添加到扩展链接下面的文档头部部分。例如:</p> <pre><code class="hljs js language-js"><head> ... <script src=<span class="hljs-string">'.../spreadjs/gc.spread.sheets.all.x.x.x.min.js'</span> type=<span class="hljs-string">'text/javascript'</span>><span class="xml"><span class="hljs-tag"></<span class="hljs-name">script</span>></span></span> <span class="xml"><span class="hljs-tag"><<span class="hljs-name">script</span> <span class="hljs-attr">src</span>=<span class="hljs-string">'.../spreadjs/plugins/gc.spread.sheets.print.x.x.x.min.js'</span> <span class="hljs-attr">type</span>=<span class="hljs-string">'text/javascript'</span>></span><span class="hljs-tag"></<span class="hljs-name">script</span>></span></span> <span class="xml"><span class="hljs-tag"><<span class="hljs-name">script</span> <span class="hljs-attr">src</span>=<span class="hljs-string">'.../spreadjs/plugins/gc.spread.sheets.pdf.x.x.x.min.js'</span> <span class="hljs-attr">type</span>=<span class="hljs-string">'text/javascript'</span>></span><span class="hljs-tag"></<span class="hljs-name">script</span>></span></span> <span class="xml"><span class="hljs-tag"></<span class="hljs-name">head</span>></span></span> </code></pre> <p>需要导出pdf文件的时候您可以使用 <strong>spread.savePDF()</strong> 方法:</p> <pre><code class="hljs js language-js">spread.savePDF(successCallback: <span class="hljs-built_in">Function</span>, <span class="hljs-attr">errorCallback</span>: <span class="hljs-built_in">Function</span>, options?: <span class="hljs-built_in">Object</span>, sheetIndex?: number?) </code></pre> <p>这个函数的参数包含以下:</p> <p><strong>successCallback</strong>: 当导出成功的时候会调用这个方法, function (blob){}.</p> <p><strong>errorCallback</strong>: 当导出失败的时候会调用这个方法,</p> <p><strong>options</strong>: 导出PDF文件的参数</p> <p>options.creator: 应用的名称 (例如:Adobe FrameMaker®) 创建了被转换的原始文档。</p> <p>options.title: 文档的标题。</p> <p>options.author: 文档的作者。</p> <p>options.keywords: 与文档关联的关键字。</p> <p>options.subject: 文档的主题</p> <p><strong>sheetIndex</strong>: 导出具体工作表的索引,如果不设置,所有可见的工作表都会被导出。</p> <p>例如你可以导出所有的工作表:</p> <pre><code class="hljs js language-js">spread.savePDF(<span class="hljs-function"><span class="hljs-keyword">function</span> (<span class="hljs-params">blob</span>) </span>{ <span class="hljs-keyword">var</span> fileName = $(<span class="hljs-string">'#fileName'</span>).val() || <span class="hljs-string">'download'</span>; saveAs(blob, fileName + <span class="hljs-string">'.pdf'</span>); }, <span class="hljs-function"><span class="hljs-keyword">function</span> (<span class="hljs-params">error</span>) </span>{ <span class="hljs-built_in">console</span>.log(error); }, { <span class="hljs-attr">title</span>: <span class="hljs-string">'Test Title'</span>, <span class="hljs-attr">author</span>: <span class="hljs-string">'Test Author'</span>, <span class="hljs-attr">subject</span>: <span class="hljs-string">'Test Subject'</span>, <span class="hljs-attr">keywords</span>: <span class="hljs-string">'Test Keywords'</span>, <span class="hljs-attr">creator</span>: <span class="hljs-string">'test Creator'</span> }); </code></pre> <p>SpreadJS PDF导出内置14种标准字体。</p> <p><strong>Courier:</strong> Courier, Courier-Bold, Courier-Oblique, Courier-BoldOblique</p> <p><strong>Times:</strong> Tomes-Roman, Times-Bold, Times-Italic, Times-BoldItalic</p> <p><strong>Helvetica:</strong> Helvetica, Helvetica-Bold, Helvetica-Oblique, Helvetica-BoldOblique</p> <p><strong>Symbol:</strong> Symbol</p> <p><strong>ZapfDingbats:</strong> ZapfDingbats</p>
window.onload = function () { var spread = new spreadNS.Workbook(document.getElementById("ss")); document.getElementById('savePDF').onclick = function () { spread.savePDF( function (blob) { saveAs(blob, 'download.pdf'); }, console.log, { title: 'Test Title', author: 'Test Author', subject: 'Test Subject', keywords: 'Test Keywords', creator: 'test Creator' }); }; var sheet = spread.getActiveSheet(); sheet.suspendPaint(); var style = new GC.Spread.Sheets.Style(); style.font = '15px Times'; sheet.setDefaultStyle(style); addSparklineContent(sheet); addPieContent(sheet); addTableContent(sheet); addValue(sheet); sheet.getCell(0, 7).backgroundImage("$DEMOROOT$/spread/source/images/olympic.jpg"); var printInfo = sheet.printInfo(); printInfo.showBorder(true); printInfo.showGridLine(true); printInfo.headerCenter("Olympic Athletes"); printInfo.headerLeft("&G"); printInfo.headerLeftImage("$DEMOROOT$/spread/source/images/olympic.jpg"); printInfo.footerCenter("&P/&N"); sheet.resumePaint(); }; var spreadNS = GC.Spread.Sheets; function addValue(sheet) { var value = 1; for (var r = 21; r < 68; r++) { for (var c = 0; c < 20; c++) { sheet.setValue(r, c, value++); } } } function addSparklineContent(sheet) { sheet.addSpan(0, 0, 1, 7); sheet.setRowHeight(0, 40); sheet.getCell(0, 0).value("The company revenue in 2014").font("italic Bold 20px Times").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.center); sheet.addSpan(1, 2, 1, 2); sheet.addSpan(1, 4, 1, 2); sheet.addSpan(1, 6, 1, 2); sheet.setValue(1, 0, "Month"); sheet.setValue(1, 1, "Revenue"); sheet.setValue(1, 2, "Diagram 1"); sheet.setValue(1, 4, "Diagram 2"); sheet.setValue(1, 6, "Diagram 3"); sheet.getRange(1, 0, 1, 7).backColor("Accent 4").foreColor("white"); for (var i = 2; i < 5; i++) { sheet.setValue(i, 0, new Date(2014, i - 1, 1)); sheet.setFormatter(i, 0, "mm/dd/yyyy"); } sheet.setColumnWidth(0, 80); sheet.setValue(2, 1, 30); sheet.setValue(3, 1, -60); sheet.setValue(4, 1, 80); sheet.addSpan(2, 2, 3, 2); sheet.setFormula(2, 2, '=LINESPARKLINE(B3:B5,0,A3:A5,0,"{ac:#ffff00,fmc:brown,hmc:red,lastmc:blue,lowmc:green,mc:purple,nc:yellowgreen,sc:pink,dxa:true,sf:true,sh:true,slast:true,slow:true,sn:true,sm:true,lw:3,dh:false,deca:1,rtl:false,minat:1,maxat:1,mmax:5,mmin:-3}")'); sheet.addSpan(2, 4, 3, 2); sheet.setFormula(2, 4, '=COLUMNSPARKLINE(B3:B5,0,A3:A5,0,"{ac:#ffff00,fmc:brown,hmc:red,lastmc:blue,lowmc:green,mc:purple,nc:yellowgreen,sc:pink,dxa:true,sf:true,sh:true,slast:true,slow:true,sn:true,sm:true,lw:3,dh:false,deca:1,rtl:false,minat:1,maxat:1,mmax:5,mmin:-3}")'); sheet.addSpan(2, 6, 3, 2); sheet.setFormula(2, 6, '=WINLOSSSPARKLINE(B3:B5,0,A3:A5,0)'); } function addPieContent(sheet) { sheet.addSpan(6, 0, 1, 5); sheet.setRowHeight(6, 40); sheet.getCell(6, 0).value("My Assets").font("20px Times-Roman").hAlign(spreadNS.HorizontalAlign.center).vAlign(spreadNS.VerticalAlign.center); sheet.addSpan(7, 2, 1, 2); sheet.addSpan(8, 2, 3, 2); sheet.setValue(7, 0, "Asset Type"); sheet.setValue(7, 1, "Amount"); sheet.setValue(7, 2, "Diagram"); sheet.setValue(7, 4, "Note"); sheet.setValue(8, 0, "Savings"); sheet.getRange(7, 0, 1, 5).backColor("Accent 4").foreColor("white"); sheet.getCell(8, 1).value(25000).formatter("$#,##0"); sheet.setValue(9, 0, "401k"); sheet.getCell(9, 1).value(55000).formatter("$#,##0"); sheet.setValue(10, 0, "Stocks"); sheet.getCell(10, 1).value(15000).formatter("$#,##0"); sheet.setFormula(8, 2, '=PIESPARKLINE(B9:B11,"#919F81","#D7913E","CEA722")'); sheet.getCell(8, 4).backColor("#919F81").formula("=B9/SUM(B9:B11)").formatter("0.00%"); sheet.getCell(9, 4).backColor("#D7913E").formula("=B10/SUM(B9:B11)").formatter("0.00%"); sheet.getCell(10, 4).backColor("#CEA722").formula("=B11/SUM(B9:B11)").formatter("0.00%"); } function addTableContent(sheet) { var data = [ ["bob", "36", "man", "Beijing", "80"], ["Betty", "28", "woman", "Xi'an", "52"], ["Gary", "23", "man", "NewYork", "63"], ["Hunk", "45", "man", "Beijing", "80"], ["Cherry", "37", "woman", "Shanghai", "58"]]; sheet.tables.addFromDataSource("sampleTable8", 13, 0, data); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta name="spreadjs culture" content="zh-cn" /> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/zh/purejs/node_modules/@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/zh/purejs/node_modules/@grapecity/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/FileSaver.js" type="text/javascript"></script> <script src="$DEMOROOT$/zh/purejs/node_modules/@grapecity/spread-sheets-print/dist/gc.spread.sheets.print.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/zh/purejs/node_modules/@grapecity/spread-sheets-pdf/dist/gc.spread.sheets.pdf.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/zh/purejs/node_modules/@grapecity/spread-sheets-resources-zh/dist/gc.spread.sheets.resources.zh.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-spreadsheets"></div> <div class="options-container"> <p>Click this button to export the Spread component to a PDF file.</p> <div class="option-row"> <input type="button" value="Export PDF" id="savePDF"> </div> </div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: calc(100% - 280px); height: 100%; overflow: hidden; float: left; } .options-container { float: right; width: 280px; padding: 12px; height: 100%; box-sizing: border-box; background: #fbfbfb; overflow: auto; } .option-row { font-size: 14px; padding: 5px; margin-top: 10px; } input { padding: 8px 14px; display: block; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

为了使用导出pdf特性,将js文件链接添加到扩展链接下面的文档头部部分。例如:
需要导出pdf文件的时候您可以使用 spread.savePDF() 方法:
这个函数的参数包含以下:
successCallback: 当导出成功的时候会调用这个方法, function (blob){}.
errorCallback: 当导出失败的时候会调用这个方法,
options: 导出PDF文件的参数
options.creator: 应用的名称 (例如:Adobe FrameMaker®) 创建了被转换的原始文档。
options.title: 文档的标题。
options.author: 文档的作者。
options.keywords: 与文档关联的关键字。
options.subject: 文档的主题
sheetIndex: 导出具体工作表的索引,如果不设置,所有可见的工作表都会被导出。
例如你可以导出所有的工作表:
SpreadJS PDF导出内置14种标准字体。
Courier: Courier, Courier-Bold, Courier-Oblique, Courier-BoldOblique
Times: Tomes-Roman, Times-Bold, Times-Italic, Times-BoldItalic
Helvetica: Helvetica, Helvetica-Bold, Helvetica-Oblique, Helvetica-BoldOblique
Symbol: Symbol
ZapfDingbats: ZapfDingbats
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import GC from '@grapecity-software/spread-sheets';
import '@grapecity-software/spread-sheets-print';
import '@grapecity-software/spread-sheets-pdf';
import '@grapecity-software/spread-sheets-resources-zh';
GC.Spread.Common.CultureManager.culture("zh-cn");
import { SpreadSheets } from '@grapecity-software/spread-sheets-react';
import './styles.css';
const Component = React.Component;
const GCsheets = GC.Spread.Sheets;
export function AppFunc() {
let spread = null;
let autoGenerateColumns = false;
let exportPDF = function () {
spread.savePDF(
function (blob) {
saveAs(blob, 'download.pdf');
},
console.log,
{
title: 'Test Title',
author: 'Test Author',
subject: 'Test Subject',
keywords: 'Test Keywords',
creator: 'test Creator'
});
}
let initSpread = function (value) {
spread = value;
let sheet = spread.getActiveSheet();
sheet.suspendPaint();
let style = new GC.Spread.Sheets.Style();
style.font = '15px Times';
sheet.setDefaultStyle(style);
addPieContent(sheet);
addTableContent(sheet);
let printInfo = sheet.printInfo();
printInfo.showBorder(true);
printInfo.showGridLine(true);
printInfo.headerCenter("Family Business Costs");
printInfo.headerLeft("&G");
printInfo.footerCenter("&P/&N");
sheet.resumePaint();
}
function addTableContent(sheet) {
sheet.addSpan(1, 0, 1, 7);
sheet.setRowHeight(1, 40);
sheet.getCell(1, 0).value("Costs").font("28px Times").foreColor("#11114f").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.addSpan(2, 0, 1, 7);
sheet.setRowHeight(2, 30);
sheet.getCell(2, 0).value("Family Business").font("18px Times").foreColor("#11114f").backColor("#f5f5f5").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(0, 105);
sheet.setRowHeight(3, 35);
sheet.getCell(3, 0).value("Costs Elements").font("Bold 15px Times").foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(1, 70);
sheet.getCell(3, 1).value("2018").font("Bold 15px Times").foreColor("#171717").backColor("#dfe9fb").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(2, 70);
sheet.getCell(3, 2).value("2019").font("Bold 15px Times").foreColor("#171717").backColor("#d1dffa").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(3, 70);
sheet.getCell(3, 3).value("2020").font("Bold 15px Times").foreColor("#171717").backColor("#9bbaf3").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(4, 70);
sheet.getCell(3, 4).value("2021").font("Bold 15px Times").foreColor("#ffffff").backColor("#5c7ee6").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(5, 70);
sheet.getCell(3, 5).value("2022").font("Bold 15px Times").foreColor("#ffffff").backColor("#1346a4").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(6, 70);
sheet.getCell(3, 6).value("Total").font("Bold 15px Times").foreColor("#ffffff").backColor("#102565").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 0).value("Salaries").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(4, 1, 200);
sheet.setValue(4, 2, 210);
sheet.setValue(4, 3, 250);
sheet.setValue(4, 4, 300);
sheet.setValue(4, 5, 360);
sheet.getCell(4, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 0).value("Consulting").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(5, 1, 100);
sheet.setValue(5, 2, 100);
sheet.setValue(5, 3, 100);
sheet.setValue(5, 4, 240);
sheet.setValue(5, 5, 260);
sheet.getCell(5, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 0).value("Hardware").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(6, 1, 2000);
sheet.setValue(6, 2, 2500);
sheet.setValue(6, 3, 0);
sheet.setValue(6, 4, 3000);
sheet.setValue(6, 5, 3200);
sheet.getCell(6, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 0).value("Software").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(7, 1, 500);
sheet.setValue(7, 2, 100);
sheet.setValue(7, 3, 100);
sheet.setValue(7, 4, 200);
sheet.setValue(7, 5, 250);
sheet.getCell(7, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 0).value("Training").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(8, 1, 1100);
sheet.setValue(8, 2, 1300);
sheet.setValue(8, 3, 2500);
sheet.setValue(8, 4, 1300);
sheet.setValue(8, 5, 1250);
sheet.getCell(8, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 0).value("Travel").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(9, 1, 2000);
sheet.setValue(9, 2, 2000);
sheet.setValue(9, 3, 1000);
sheet.setValue(9, 4, 1500);
sheet.setValue(9, 5, 0);
sheet.getCell(9, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 0).value("Other").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(10, 1, 200);
sheet.setValue(10, 2, 200);
sheet.setValue(10, 3, 100);
sheet.setValue(10, 4, 150);
sheet.setValue(10, 5, 30);
sheet.getCell(10, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setFormula(4, 6, "=SUM(B5:F5)");
sheet.setFormula(5, 6, "=SUM(B6:F6)");
sheet.setFormula(6, 6, "=SUM(B7:F7)");
sheet.setFormula(7, 6, "=SUM(B8:F8)");
sheet.setFormula(8, 6, "=SUM(B9:F9)");
sheet.setFormula(9, 6, "=SUM(B10:F10)");
sheet.setFormula(10, 6, "=SUM(B11:F11)");
sheet.getRange(4, 1, 7, 6).formatter("$0.0");
}
let addPieContent = function (sheet) {
sheet.addSpan(12, 0, 1, 4);
sheet.getCell(12, 0).value("Total Costs").font("15px Times").foreColor("#11114f").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.addSpan(13, 0, 9, 4);
sheet.setFormula(13, 0, '=PIESPARKLINE(G5:G11,"#dfe9fb","#d1dffa","#9bbaf3","#5c7ee6","#1346a4","#102565", "#ededed")');
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
</SpreadSheets>
</div>
<Panel exportPDF={(e) => { exportPDF(e) }} />
</div>
)
}
class Panel extends Component {
constructor(props) {
super(props);
}
render() {
return (
<div class="options-container">
<div class="option-row">
<p>Click this button to export the Spread component to a PDF file.</p>
<input type='button' id="savePDF" value="Export PDF" onClick={(e) => { this.props.exportPDF(e) }} />
</div>
</div>
)
}
}
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import GC from '@grapecity-software/spread-sheets';
import '@grapecity-software/spread-sheets-print';
import '@grapecity-software/spread-sheets-pdf';
import '@grapecity-software/spread-sheets-resources-zh';
GC.Spread.Common.CultureManager.culture("zh-cn");
import { SpreadSheets } from '@grapecity-software/spread-sheets-react';
import './styles.css';
const Component = React.Component;
const GCsheets = GC.Spread.Sheets;
function _getElementById(id) {
return document.getElementById(id);
}
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.autoGenerateColumns = false;
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
<Panel exportPDF={(e) => { this.exportPDF(e) }} />
</div>
)
}
exportPDF() {
this.spread.savePDF(
function (blob) {
saveAs(blob, 'download.pdf');
},
console.log,
{
title: 'Test Title',
author: 'Test Author',
subject: 'Test Subject',
keywords: 'Test Keywords',
creator: 'test Creator'
});
}
initSpread(spread) {
this.spread = spread;
let sheet = spread.getActiveSheet();
sheet.suspendPaint();
let style = new GC.Spread.Sheets.Style();
style.font = '15px Times';
sheet.setDefaultStyle(style);
this.addPieContent(sheet);
this.addTableContent(sheet);
let printInfo = sheet.printInfo();
printInfo.showBorder(true);
printInfo.showGridLine(true);
printInfo.headerCenter("Family Business Costs");
printInfo.headerLeft("&G");
printInfo.footerCenter("&P/&N");
sheet.resumePaint();
}
addTableContent(sheet) {
sheet.addSpan(1, 0, 1, 7);
sheet.setRowHeight(1, 40);
sheet.getCell(1, 0).value("Costs").font("28px Times").foreColor("#11114f").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.addSpan(2, 0, 1, 7);
sheet.setRowHeight(2, 30);
sheet.getCell(2, 0).value("Family Business").font("18px Times").foreColor("#11114f").backColor("#f5f5f5").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(0, 105);
sheet.setRowHeight(3, 35);
sheet.getCell(3, 0).value("Costs Elements").font("Bold 15px Times").foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(1, 70);
sheet.getCell(3, 1).value("2018").font("Bold 15px Times").foreColor("#171717").backColor("#dfe9fb").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(2, 70);
sheet.getCell(3, 2).value("2019").font("Bold 15px Times").foreColor("#171717").backColor("#d1dffa").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(3, 70);
sheet.getCell(3, 3).value("2020").font("Bold 15px Times").foreColor("#171717").backColor("#9bbaf3").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(4, 70);
sheet.getCell(3, 4).value("2021").font("Bold 15px Times").foreColor("#ffffff").backColor("#5c7ee6").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(5, 70);
sheet.getCell(3, 5).value("2022").font("Bold 15px Times").foreColor("#ffffff").backColor("#1346a4").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(6, 70);
sheet.getCell(3, 6).value("Total").font("Bold 15px Times").foreColor("#ffffff").backColor("#102565").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 0).value("Salaries").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(4, 1, 200);
sheet.setValue(4, 2, 210);
sheet.setValue(4, 3, 250);
sheet.setValue(4, 4, 300);
sheet.setValue(4, 5, 360);
sheet.getCell(4, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 0).value("Consulting").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(5, 1, 100);
sheet.setValue(5, 2, 100);
sheet.setValue(5, 3, 100);
sheet.setValue(5, 4, 240);
sheet.setValue(5, 5, 260);
sheet.getCell(5, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 0).value("Hardware").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(6, 1, 2000);
sheet.setValue(6, 2, 2500);
sheet.setValue(6, 3, 0);
sheet.setValue(6, 4, 3000);
sheet.setValue(6, 5, 3200);
sheet.getCell(6, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 0).value("Software").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(7, 1, 500);
sheet.setValue(7, 2, 100);
sheet.setValue(7, 3, 100);
sheet.setValue(7, 4, 200);
sheet.setValue(7, 5, 250);
sheet.getCell(7, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 0).value("Training").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(8, 1, 1100);
sheet.setValue(8, 2, 1300);
sheet.setValue(8, 3, 2500);
sheet.setValue(8, 4, 1300);
sheet.setValue(8, 5, 1250);
sheet.getCell(8, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 0).value("Travel").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(9, 1, 2000);
sheet.setValue(9, 2, 2000);
sheet.setValue(9, 3, 1000);
sheet.setValue(9, 4, 1500);
sheet.setValue(9, 5, 0);
sheet.getCell(9, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 0).value("Other").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(10, 1, 200);
sheet.setValue(10, 2, 200);
sheet.setValue(10, 3, 100);
sheet.setValue(10, 4, 150);
sheet.setValue(10, 5, 30);
sheet.getCell(10, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setFormula(4, 6, "=SUM(B5:F5)");
sheet.setFormula(5, 6, "=SUM(B6:F6)");
sheet.setFormula(6, 6, "=SUM(B7:F7)");
sheet.setFormula(7, 6, "=SUM(B8:F8)");
sheet.setFormula(8, 6, "=SUM(B9:F9)");
sheet.setFormula(9, 6, "=SUM(B10:F10)");
sheet.setFormula(10, 6, "=SUM(B11:F11)");
sheet.getRange(4, 1, 7, 6).formatter("$0.0");
}
addPieContent(sheet) {
sheet.addSpan(12, 0, 1, 4);
sheet.getCell(12, 0).value("Total Costs").font("15px Times").foreColor("#11114f").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.addSpan(13, 0, 9, 4);
sheet.setFormula(13, 0, '=PIESPARKLINE(G5:G11,"#dfe9fb","#d1dffa","#9bbaf3","#5c7ee6","#1346a4","#102565", "#ededed")');
}
}
class Panel extends Component {
constructor(props) {
super(props);
}
render() {
return (
<div class="options-container">
<div class="option-row">
<p>Click this button to export the Spread component to a PDF file.</p>
<input type='button' id="savePDF" value="Export PDF" onClick={(e) => { this.props.exportPDF(e) }} />
</div>
</div>
)
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/zh/react/node_modules/@grapecity-software/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/js/FileSaver.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/zh/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/zh/lib/react/license.js').then(function() {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
padding: 8px 14px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function(global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@grapecity-software/spread-sheets': 'npm:@grapecity-software/spread-sheets/index.js',
'@grapecity-software/spread-sheets-resources-zh': 'npm:@grapecity-software/spread-sheets-resources-zh/index.js',
'@grapecity-software/spread-sheets-print': 'npm:@grapecity-software/spread-sheets-print/index.js',
'@grapecity-software/spread-sheets-pdf': 'npm:@grapecity-software/spread-sheets-pdf/index.js',
'@grapecity-software/spread-sheets-react': 'npm:@grapecity-software/spread-sheets-react/index.js',
'@grapecity-software/jsob-test-dependency-package/react-components': 'npm:@grapecity-software/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

为了使用导出pdf特性,将js文件链接添加到扩展链接下面的文档头部部分。例如:
需要导出pdf文件的时候您可以使用 spread.savePDF() 方法:
这个函数的参数包含以下:
successCallback: 当导出成功的时候会调用这个方法, function (blob){}.
errorCallback: 当导出失败的时候会调用这个方法,
options: 导出PDF文件的参数
options.creator: 应用的名称 (例如:Adobe FrameMaker®) 创建了被转换的原始文档。
options.title: 文档的标题。
options.author: 文档的作者。
options.keywords: 与文档关联的关键字。
options.subject: 文档的主题
sheetIndex: 导出具体工作表的索引,如果不设置,所有可见的工作表都会被导出。
例如你可以导出所有的工作表:
SpreadJS PDF导出内置14种标准字体。
Courier: Courier, Courier-Bold, Courier-Oblique, Courier-BoldOblique
Times: Tomes-Roman, Times-Bold, Times-Italic, Times-BoldItalic
Helvetica: Helvetica, Helvetica-Bold, Helvetica-Oblique, Helvetica-BoldOblique
Symbol: Symbol
ZapfDingbats: ZapfDingbats
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<p>Click this button to export the Spread component to a PDF file.</p>
<input type='button' id="savePDF" value="Export PDF" v-on:click='exportPDF()' />
</div>
</div>
</div>
</template>
<script>
import Vue from "vue";
import '@grapecity-software/spread-sheets-resources-zh';
GC.Spread.Common.CultureManager.culture("zh-cn");
import '@grapecity-software/spread-sheets-vue';
import GC from '@grapecity-software/spread-sheets';
import '@grapecity-software/spread-sheets-print';
import '@grapecity-software/spread-sheets-pdf';
import './styles.css';
let App = Vue.extend({
name: "app",
data: function() {
return {
autoGenerateColumns: false,
spread: null
};
},
methods: {
exportPDF() {
this.spread.savePDF(
function(blob) {
saveAs(blob, 'download.pdf');
},
console.log,
{
title: 'Test Title',
author: 'Test Author',
subject: 'Test Subject',
keywords: 'Test Keywords',
creator: 'test Creator'
});
},
initSpread(spread) {
this.spread = spread;
let sheet = spread.getActiveSheet();
sheet.suspendPaint();
let style = new GC.Spread.Sheets.Style();
style.font = '15px Times';
sheet.setDefaultStyle(style);
this.addPieContent(sheet);
this.addTableContent(sheet);
let printInfo = sheet.printInfo();
printInfo.showBorder(true);
printInfo.showGridLine(true);
printInfo.headerCenter("Family Business Costs");
printInfo.headerLeft("&G");
printInfo.footerCenter("&P/&N");
sheet.resumePaint();
},
addTableContent(sheet) {
sheet.addSpan(1, 0, 1, 7);
sheet.setRowHeight(1, 40);
sheet.getCell(1, 0).value("Costs").font("28px Times").foreColor("#11114f").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.addSpan(2, 0, 1, 7);
sheet.setRowHeight(2, 30);
sheet.getCell(2, 0).value("Family Business").font("18px Times").foreColor("#11114f").backColor("#f5f5f5").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(0, 105);
sheet.setRowHeight(3, 35);
sheet.getCell(3, 0).value("Costs Elements").font("Bold 15px Times").foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(1, 70);
sheet.getCell(3, 1).value("2018").font("Bold 15px Times").foreColor("#171717").backColor("#dfe9fb").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(2, 70);
sheet.getCell(3, 2).value("2019").font("Bold 15px Times").foreColor("#171717").backColor("#d1dffa").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(3, 70);
sheet.getCell(3, 3).value("2020").font("Bold 15px Times").foreColor("#171717").backColor("#9bbaf3").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(4, 70);
sheet.getCell(3, 4).value("2021").font("Bold 15px Times").foreColor("#ffffff").backColor("#5c7ee6").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(5, 70);
sheet.getCell(3, 5).value("2022").font("Bold 15px Times").foreColor("#ffffff").backColor("#1346a4").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(6, 70);
sheet.getCell(3, 6).value("Total").font("Bold 15px Times").foreColor("#ffffff").backColor("#102565").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 0).value("Salaries").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(4, 1, 200);
sheet.setValue(4, 2, 210);
sheet.setValue(4, 3, 250);
sheet.setValue(4, 4, 300);
sheet.setValue(4, 5, 360);
sheet.getCell(4, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 0).value("Consulting").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(5, 1, 100);
sheet.setValue(5, 2, 100);
sheet.setValue(5, 3, 100);
sheet.setValue(5, 4, 240);
sheet.setValue(5, 5, 260);
sheet.getCell(5, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 0).value("Hardware").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(6, 1, 2000);
sheet.setValue(6, 2, 2500);
sheet.setValue(6, 3, 0);
sheet.setValue(6, 4, 3000);
sheet.setValue(6, 5, 3200);
sheet.getCell(6, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 0).value("Software").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(7, 1, 500);
sheet.setValue(7, 2, 100);
sheet.setValue(7, 3, 100);
sheet.setValue(7, 4, 200);
sheet.setValue(7, 5, 250);
sheet.getCell(7, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 0).value("Training").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(8, 1, 1100);
sheet.setValue(8, 2, 1300);
sheet.setValue(8, 3, 2500);
sheet.setValue(8, 4, 1300);
sheet.setValue(8, 5, 1250);
sheet.getCell(8, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 0).value("Travel").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(9, 1, 2000);
sheet.setValue(9, 2, 2000);
sheet.setValue(9, 3, 1000);
sheet.setValue(9, 4, 1500);
sheet.setValue(9, 5, 0);
sheet.getCell(9, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 0).value("Other").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(10, 1, 200);
sheet.setValue(10, 2, 200);
sheet.setValue(10, 3, 100);
sheet.setValue(10, 4, 150);
sheet.setValue(10, 5, 30);
sheet.getCell(10, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setFormula(4, 6, "=SUM(B5:F5)");
sheet.setFormula(5, 6, "=SUM(B6:F6)");
sheet.setFormula(6, 6, "=SUM(B7:F7)");
sheet.setFormula(7, 6, "=SUM(B8:F8)");
sheet.setFormula(8, 6, "=SUM(B9:F9)");
sheet.setFormula(9, 6, "=SUM(B10:F10)");
sheet.setFormula(10, 6, "=SUM(B11:F11)");
sheet.getRange(4, 1, 7, 6).formatter("$0.0");
},
addPieContent(sheet) {
sheet.addSpan(12, 0, 1, 4);
sheet.getCell(12, 0).value("Total Costs").font("15px Times").foreColor("#11114f").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.addSpan(13, 0, 9, 4);
sheet.setFormula(13, 0, '=PIESPARKLINE(G5:G11,"#dfe9fb","#d1dffa","#9bbaf3","#5c7ee6","#1346a4","#102565", "#ededed")');
},
},
computed: {
dataSource() {
return getData();
}
}
});
new Vue({ render: h => h(App) }).$mount('#app');
</script>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/zh/vue/node_modules/@grapecity-software/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/js/FileSaver.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/zh/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/zh/lib/vue/license.js');
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
padding: 8px 14px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function(global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@grapecity-software/spread-sheets': 'npm:@grapecity-software/spread-sheets/index.js',
'@grapecity-software/spread-sheets-resources-zh': 'npm:@grapecity-software/spread-sheets-resources-zh/index.js',
'@grapecity-software/spread-sheets-print': 'npm:@grapecity-software/spread-sheets-print/index.js',
'@grapecity-software/spread-sheets-pdf': 'npm:@grapecity-software/spread-sheets-pdf/index.js',
'@grapecity-software/spread-sheets-vue': 'npm:@grapecity-software/spread-sheets-vue/index.js',
'@grapecity-software/jsob-test-dependency-package/react-components': 'npm:@grapecity-software/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);

为了使用导出pdf特性,将js文件链接添加到扩展链接下面的文档头部部分。例如:
需要导出pdf文件的时候您可以使用 spread.savePDF() 方法:
这个函数的参数包含以下:
successCallback: 当导出成功的时候会调用这个方法, function (blob){}.
errorCallback: 当导出失败的时候会调用这个方法,
options: 导出PDF文件的参数
options.creator: 应用的名称 (例如:Adobe FrameMaker®) 创建了被转换的原始文档。
options.title: 文档的标题。
options.author: 文档的作者。
options.keywords: 与文档关联的关键字。
options.subject: 文档的主题
sheetIndex: 导出具体工作表的索引,如果不设置,所有可见的工作表都会被导出。
例如你可以导出所有的工作表:
SpreadJS PDF导出内置14种标准字体。
Courier: Courier, Courier-Bold, Courier-Oblique, Courier-BoldOblique
Times: Tomes-Roman, Times-Bold, Times-Italic, Times-BoldItalic
Helvetica: Helvetica, Helvetica-Bold, Helvetica-Oblique, Helvetica-BoldOblique
Symbol: Symbol
ZapfDingbats: ZapfDingbats
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import '@grapecity-software/spread-sheets-resources-zh';
GC.Spread.Common.CultureManager.culture("zh-cn");
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@grapecity-software/spread-sheets-angular';
import GC from '@grapecity-software/spread-sheets';
import '@grapecity-software/spread-sheets-print';
import '@grapecity-software/spread-sheets-pdf';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
autoGenerateColumns = false;
dataSource: any[];
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
exportPDF() {
this.spread.savePDF(
function(blob: any) {
saveAs(blob, 'download.pdf');
},
console.log,
{
title: 'Test Title',
author: 'Test Author',
subject: 'Test Subject',
keywords: 'Test Keywords',
creator: 'test Creator'
});
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let sheet = spread.getActiveSheet();
sheet.suspendPaint();
let style = new GC.Spread.Sheets.Style();
style.font = '15px Times';
sheet.setDefaultStyle(style);
this.addTableContent(sheet);
this.addPieContent(sheet);
var printInfo = sheet.printInfo();
printInfo.showBorder(true);
printInfo.showGridLine(true);
printInfo.headerCenter("Family Business Costs");
printInfo.headerLeft("&G");
printInfo.footerCenter("&P/&N");
sheet.resumePaint();
}
addTableContent(sheet: any) {
sheet.addSpan(1, 0, 1, 7);
sheet.setRowHeight(1, 40);
sheet.getCell(1, 0).value("Costs").font("28px Times").foreColor("#11114f").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.addSpan(2, 0, 1, 7);
sheet.setRowHeight(2, 30);
sheet.getCell(2, 0).value("Family Business").font("18px Times").foreColor("#11114f").backColor("#f5f5f5").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(0, 105);
sheet.setRowHeight(3, 35);
sheet.getCell(3, 0).value("Costs Elements").font("Bold 15px Times").foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.left).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(1, 70);
sheet.getCell(3, 1).value("2018").font("Bold 15px Times").foreColor("#171717").backColor("#dfe9fb").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(2, 70);
sheet.getCell(3, 2).value("2019").font("Bold 15px Times").foreColor("#171717").backColor("#d1dffa").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(3, 70);
sheet.getCell(3, 3).value("2020").font("Bold 15px Times").foreColor("#171717").backColor("#9bbaf3").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(4, 70);
sheet.getCell(3, 4).value("2021").font("Bold 15px Times").foreColor("#ffffff").backColor("#5c7ee6").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(5, 70);
sheet.getCell(3, 5).value("2022").font("Bold 15px Times").foreColor("#ffffff").backColor("#1346a4").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setColumnWidth(6, 70);
sheet.getCell(3, 6).value("Total").font("Bold 15px Times").foreColor("#ffffff").backColor("#102565").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 0).value("Salaries").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(4, 1, 200);
sheet.setValue(4, 2, 210);
sheet.setValue(4, 3, 250);
sheet.setValue(4, 4, 300);
sheet.setValue(4, 5, 360);
sheet.getCell(4, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(4, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 0).value("Consulting").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(5, 1, 100);
sheet.setValue(5, 2, 100);
sheet.setValue(5, 3, 100);
sheet.setValue(5, 4, 240);
sheet.setValue(5, 5, 260);
sheet.getCell(5, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(5, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 0).value("Hardware").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(6, 1, 2000);
sheet.setValue(6, 2, 2500);
sheet.setValue(6, 3, 0);
sheet.setValue(6, 4, 3000);
sheet.setValue(6, 5, 3200);
sheet.getCell(6, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(6, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 0).value("Software").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(7, 1, 500);
sheet.setValue(7, 2, 100);
sheet.setValue(7, 3, 100);
sheet.setValue(7, 4, 200);
sheet.setValue(7, 5, 250);
sheet.getCell(7, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(7, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 0).value("Training").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(8, 1, 1100);
sheet.setValue(8, 2, 1300);
sheet.setValue(8, 3, 2500);
sheet.setValue(8, 4, 1300);
sheet.setValue(8, 5, 1250);
sheet.getCell(8, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(8, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 0).value("Travel").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(9, 1, 2000);
sheet.setValue(9, 2, 2000);
sheet.setValue(9, 3, 1000);
sheet.setValue(9, 4, 1500);
sheet.setValue(9, 5, 0);
sheet.getCell(9, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(9, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 0).value("Other").foreColor("#171717").backColor("#ffffff").vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setValue(10, 1, 200);
sheet.setValue(10, 2, 200);
sheet.setValue(10, 3, 100);
sheet.setValue(10, 4, 150);
sheet.setValue(10, 5, 30);
sheet.getCell(10, 1).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 2).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 3).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 4).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 5).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.getCell(10, 6).foreColor("#171717").backColor("#ffffff").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.setFormula(4, 6, "=SUM(B5:F5)");
sheet.setFormula(5, 6, "=SUM(B6:F6)");
sheet.setFormula(6, 6, "=SUM(B7:F7)");
sheet.setFormula(7, 6, "=SUM(B8:F8)");
sheet.setFormula(8, 6, "=SUM(B9:F9)");
sheet.setFormula(9, 6, "=SUM(B10:F10)");
sheet.setFormula(10, 6, "=SUM(B11:F11)");
sheet.getRange(4, 1, 7, 6).formatter("$0.0");
}
addPieContent(sheet: any) {
sheet.addSpan(12, 0, 1, 4);
sheet.getCell(12, 0).value("Total Costs").font("15px Times").foreColor("#11114f").hAlign(GC.Spread.Sheets.HorizontalAlign.center).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.addSpan(13, 0, 9, 4);
sheet.setFormula(13, 0, '=PIESPARKLINE(G5:G11,"#dfe9fb","#d1dffa","#9bbaf3","#5c7ee6","#1346a4","#102565", "#ededed")');
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/zh/angular/node_modules/@grapecity-software/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/zh/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/zh/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<script src="$DEMOROOT$/spread/source/js/FileSaver.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/zh/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/zh/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<p>Click this button to export the Spread component to a PDF file.</p>
<input type = 'button' id="savePDF" value="Export PDF" (click)="exportPDF($event)" />
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
padding: 8px 14px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function(global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@grapecity-software/spread-sheets': 'npm:@grapecity-software/spread-sheets/index.js',
'@grapecity-software/spread-sheets-resources-zh': 'npm:@grapecity-software/spread-sheets-resources-zh/index.js',
'@grapecity-software/spread-sheets-print': 'npm:@grapecity-software/spread-sheets-print/index.js',
'@grapecity-software/spread-sheets-pdf': 'npm:@grapecity-software/spread-sheets-pdf/index.js',
'@grapecity-software/spread-sheets-angular': 'npm:@grapecity-software/spread-sheets-angular/fesm2020/grapecity-software-spread-sheets-angular.mjs',
'@grapecity-software/jsob-test-dependency-package/react-components': 'npm:@grapecity-software/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@grapecity-software/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);